<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core">

    <ui:composition template="/template.xhtml">
        <ui:define name="title">
            <h:outputText value="#{bundle.CreateZvanjeTitle}"></h:outputText>
        </ui:define>
        <ui:define name="body">
            <h:panelGroup id="messagePanel" layout="block">
                <h:messages errorStyle="color: red" infoStyle="color: green" layout="table"/>
            </h:panelGroup>
            <h:form>
                <h:panelGrid columns="2">
                    <h:outputLabel value="#{bundle.CreateZvanjeLabel_zvanjeId}" for="zvanjeId" />
                    <h:inputText id="zvanjeId" value="#{zvanjeController.selected.zvanjeId}" title="#{bundle.CreateZvanjeTitle_zvanjeId}" required="true" requiredMessage="#{bundle.CreateZvanjeRequiredMessage_zvanjeId}"/>
                    <h:outputLabel value="#{bundle.CreateZvanjeLabel_zvanjeNaziv}" for="zvanjeNaziv" />
                    <h:inputText id="zvanjeNaziv" value="#{zvanjeController.selected.zvanjeNaziv}" title="#{bundle.CreateZvanjeTitle_zvanjeNaziv}" required="true" requiredMessage="#{bundle.CreateZvanjeRequiredMessage_zvanjeNaziv}"/>
                </h:panelGrid>
                <br />
                <h:commandLink action="#{zvanjeController.create}" value="#{bundle.CreateZvanjeSaveLink}" />
                <br />
                <br />
                <h:commandLink action="#{zvanjeController.prepareList}" value="#{bundle.CreateZvanjeShowAllLink}" immediate="true"/>
                <br />
                <br />
                <h:link outcome="/index" value="#{bundle.CreateZvanjeIndexLink}"/>
            </h:form>
        </ui:define>
    </ui:composition>

</html>
